Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.net.media
Class TypeDef

    java.lang.Object
      org.jboss.portal.common.net.media.TypeDef

    public final class TypeDef

extends java.lang.Object

A top level media type definition defined by RFC2046 section 2).

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static TypeDef` | `APPLICATION` .
`static TypeDef` | `AUDIO` .
`static TypeDef` | `IMAGE` .
`static TypeDef` | `MESSAGE` .
`static TypeDef` | `MULTIPART` .
`static TypeDef` | `TEXT` .
`static TypeDef` | `VIDEO` .

Method Summary
`static TypeDef` | `create(java.lang.String typeName)` Returns the corresponding type definition for the given top level type name.
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `isComposite()`
`boolean` | `isDiscrete()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT

    public static final TypeDef TEXT

  .

### IMAGE

    public static final TypeDef IMAGE

  .

### AUDIO

    public static final TypeDef AUDIO

  .

### VIDEO

    public static final TypeDef VIDEO

  .

### APPLICATION

    public static final TypeDef APPLICATION

  .

### MULTIPART

    public static final TypeDef MULTIPART

  .

### MESSAGE

    public static final TypeDef MESSAGE

  .

Method Detail

### create

    public static TypeDef create(java.lang.String typeName)
                          throws java.lang.IllegalArgumentException

  Returns the corresponding type definition for the given top level type name. If the type name does not correspond to a top level name, then null is returned.

  Parameters:
    `typeName` - the name of the type def
  Returns:
    the corresponding type def
  Throws:
    `java.lang.IllegalArgumentException` - if the type name is null

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### isComposite

    public boolean isComposite()

### isDiscrete

    public boolean isDiscrete()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.